> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Call and Play

> Initiate an outbound call and play text-to-speech audio to the recipient



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/admin/calling/call-and-play
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/calling/call-and-play:
    post:
      tags:
        - Calling
      summary: Call and Play
      description: Initiate an outbound call and play text-to-speech audio to the recipient
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tenantId:
                  type: number
                  exclusiveMinimum: 0
                  description: Tenant ID to place the call for
                to:
                  type: string
                  pattern: ^[1-9]\d{9}$
                  description: Destination phone number (10-digit US format)
                from:
                  type: string
                  pattern: ^[1-9]\d{9}$
                  description: Caller ID phone number (must belong to tenant)
                text:
                  type: string
                  minLength: 3
                  description: Text to convert to speech and play on the call
                webhookUrl:
                  description: Optional webhook URL for call status updates
                  type: string
                  format: uri
              required:
                - tenantId
                - to
                - from
                - text
              additionalProperties: false
      responses:
        '200':
          description: Call initiated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Request status
                  message:
                    type: string
                    description: Status message
                required:
                  - status
                  - message
                additionalProperties: false
        '400':
          description: Validation error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                  - validationErrors
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````